Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QAbstractButton

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QAbstractButton class reference

### Public Functions

- QAbstractButton ( QWidget * parent, const char * name, Qt::WFlags f = 0 )
- QKeySequence accel () const
- QIcon * iconSet () const
- bool isOn () const
- bool isToggleButton () const
- QPixmap * pixmap () const
- void setAccel ( const QKeySequence & key )
- void setIconSet ( const QIcon & icon )
- void setPixmap ( const QPixmap & p )
- void setToggleButton ( bool b )

### Public Slots

- void setOn ( bool b )

## Member Function Documentation

### QAbstractButton::QAbstractButton ( QWidget * parent, const char * name, Qt::WFlags f = 0 )

Use QAbstractButton(QWidget *) instead.

Call setObjectName() if you want to specify an object name, and setParent() if you want to set the window flags.

### QKeySequence QAbstractButton::accel () const

Use shortcut() instead.

### QIcon * QAbstractButton::iconSet () const

Use icon() instead.

### bool QAbstractButton::isOn () const

Use isChecked() instead.

### bool QAbstractButton::isToggleButton () const

Use isCheckable() instead.

### QPixmap * QAbstractButton::pixmap () const

This compatibility function always returns 0.

Use icon() instead.

### void QAbstractButton::setAccel ( const QKeySequence & key )

Use setShortcut() instead.

### void QAbstractButton::setIconSet ( const QIcon & icon )

Use setIcon() instead.

### void QAbstractButton::setOn ( bool b ) `[slot]`

Use setChecked() instead.

### void QAbstractButton::setPixmap ( const QPixmap & p )

Use setIcon() instead.

### void QAbstractButton::setToggleButton ( bool b )

Use setCheckable() instead.